opengnsys-gitinstaller (0.5dev3) UNRELEASED; urgency=medium

  [ OpenGnsys ]
  * Initial release.

  [ Vadim Troshchinskiy ]
  * First commit
  * Add installer
  * Add requirements file

  [ lgromero ]
  * refs #734 Creates first skeleton of symfony+swagger project

  [ Vadim Troshchinskiy ]
  * Add Gitlib

  [ lgromero ]
  * refs #734 Changes OgBootBundle name and adds a first endpoint to test
  * refs #734 Adds template of repository and branch endpoints

  [ Vadim Troshchinskiy ]
  * Update docs to account for changes
  * Trivial API server
  * Ticket #753: Add repository listing
  * Ticket #735: List branches in repo
  * Add testing instructions
  * Agregar manejo de errrores
  * Ticket #741: Crear repo Ticket #736: Eliminar repo

  [ lgromero ]
  * refs #734 Adds README for Api installation
  * refs #734 Control of errores and http codes in controler
  * refs #734 Renemas oggitservice

  [ Vadim Troshchinskiy ]
  * Ticket #738, ticket #739: repo and sync backup protoype

  [ lgromero ]
  * refs #734 Adds new endpoints sync and backup and status endpoint
  * refs #734 Adds nelmio api doc configuration
  * Adds .env file to root
  * refs #734 use environment variables in .env files and disable web depuration toolbar
  * refs #734 fix typo in .env and use oggit_url environment variable

  [ Vadim Troshchinskiy ]
  * Ticket #738, ticket #739: git sync and backup

  [ Nicolas Arenas ]
  * Add docker container files

  [ Vadim Troshchinskiy ]
  * Ticket #737: GC
  * Use Paramiko and Gitpython for backups

  [ Nicolas Arenas ]
  * Add mock api for testing dockerfile

  [ Vadim Troshchinskiy ]
  * Ticket #740, listen on all hosts

  [ lgromero ]
  * refs #734 Removes innecesaries parameters  and changes php platform to 8.2
  * refs #734 just changes name and description in swagger web page

  [ Vadim Troshchinskiy ]
  * Remove duplicated import
  * Documentation prototype
  * Update to 24.04, solves deployment issue
  * Add more documentation
  * Add API README
  * Add API examples
  * Update list of package requirements in oglive
  * Fix commandline parsing bug
  * Revert experimental Windows change
  * Fix ticket #770: Re-parse filesystems list after mounting
  * Use oglive server if ogrepository is not set
  * Ticket #770: Add sanity check
  * Ticket #771: Correctly create directories on metadata restoration
  * Ticket #780: Unmount before clone if needed
  * Fix ticket #800: sudo doesn't work

  [ Vadim Trochinsky ]
  * Fix ticket #802: .git directory in filesystem root

  [ Vadim Troshchinskiy ]
  * Fix ticket #805: Remove .git directory if it already exists when checking out
  * Ticket #770: Correctly update metadata when mounting and unmounting
  * Ticket #804: Move log
  * Fix ticket #902: .git directories can't be checked out
  * Lint fixes
  * Remove unused code
  * Lint fixes
  * Lint fixes
  * Lint fixes
  * Additional logging message
  * Lint fix
  * Fix ticket #907: mknod fails due to path not found
  * Initial implementation for commit, push, fetch.
  * Don't fail on empty lines in metadata, just skip them
  * Add documentation and functionality to progress hook (not used yet)
  * Pylint fixes
  * Ticket #908: Remove some unneeded warnings
  * Fix progress report
  * Ticket #906: Fix permissions on directories
  * Make pylint happy
  * Mount fix
  * Ticket #808: Initial implementation
  * Initial forgejo install
  * Deduplicate key extraction
  * Fix installer bugs and add documentation
  * Change user to oggit
  * Fix NTFS ID modification implementation
  * Implement system-specific EFI data support
  * Fix encoding when reading system uuid
  * Fix and refactor slightly EFI implementation
  * Add Windows BCD decoding tool
  * Check module loading and unloading, modprobe works on oglive now
  * Make EFI deployment more flexible
  * Add organization API call
  * Fix bash library path
  * Fix repo paths for forgejo
  * Update documentation
  * Sync to ensure everything is written
  * Refactoring and more pydoc
  * Add more documentation
  * Improve installer documentation
  * Improve gitlib instructions
  * Add missing files
  * Partial setsshkey implementation
  * Fix SSH key generation and extraction
  * Initial package contents
  * Add Debian packaging
  * Add pylkid
  * Add pyblkid debian files
  * Use packaged pyblkid
  * More detailed API logging
  * Improve logging
  * Add oglive key to forgejo
  * Add original source
  * Always re-download forgejo, even if installed.
  * Remove obsolete code that stopped being relevant with Forgejo
  * Move python modules to /opt/opengnsys-modules
  * Use absolute paths in initrd modification
  * Add timestamp to ssh key title, forgejo doesn't like duplicates
  * Skip past symlinks and problems in oglive modification
  * Get keys from squashfs instead of initrd to work with current oglive packaging
  * Fix trivial bug
  * Move modules to /usr/share/opengnsys
  * Move packages to /usr/share

  [ Angel Rodriguez ]
  * Add gitlib/README-en.md
  * Add api/README-en.md
  * Add installer/README-en.md

  [ Vadim Troshchinskiy ]
  * Skip NTFS code on non-Windows
  * Store and restore GPT partition UUIDs
  * Update READMEs
  * BCD constants
  * Use tqdm
  * Constants
  * Add extra mounts update
  * Better status reports
  * Make log filename machine-dependent Move kernel args parsing
  * Make unmounting more robust
  * Improve repository initialization
  * Make --pull work like the other commands
  * Add packages
  * Update documentation
  * Ignore python cache
  * Ignore more files
  * add python libarchive-c original package
  * Add pyblkid copyright file
  * Add make_orig script
  * Reorder and fix for ogrepository reorganization
  * Restructure git installer to work without ogboot on the same machine, update docs
  * Update english documentation
  * Improve installation process, make it possible to extract keys from oglive
  * Fix namespaces
  * Fix ogrepository paths
  * Change git repo path
  * Improvements for logging and error handling
  * Fix HTTP exception handling
  * Improve task management, cleanup when there are too many
  * More error logging
  * Mark git repo as a safe directory
  * Rework the ability to use a custom SSH key
  * Log every request
  * Branch deletion
  * Make branch deletion RESTful
  * Initial version of the API server
  * Add original repo_api
  * Convert to blueprint
  * Add port argument
  * Fix error handling
  * Add README
  * Load swagger from disk
  * Fix repository URL
  * Bump forgejo version
  * Add helpful script
  * Fix port argument
  * Refactoring for package support
  * Remove old code
  * Refactoring for packaging
  * opengnsys-forgejo package
  * Fix post-install for forgejo deployment
  * Fixes for running under gunicorn
  * Debian packaging
  * Add branches and tags creation endpoints
  * Add missing file
  * Rename service
  * Add templates
  * Disable tests
  * Fix permission problem
  * Fix ini path
  * Update changelog
  * Update changelog
  * Add package files
  * Add git image creation script
  * Slightly improve API for ogrepo usability
  * First commit
  * Add installer
  * Add requirements file

  [ lgromero ]
  * refs #734 Creates first skeleton of symfony+swagger project

  [ Vadim Troshchinskiy ]
  * Add Gitlib

  [ lgromero ]
  * refs #734 Changes OgBootBundle name and adds a first endpoint to test
  * refs #734 Adds template of repository and branch endpoints

  [ Vadim Troshchinskiy ]
  * Update docs to account for changes
  * Trivial API server
  * Ticket #753: Add repository listing
  * Ticket #735: List branches in repo
  * Add testing instructions
  * Agregar manejo de errrores
  * Ticket #741: Crear repo Ticket #736: Eliminar repo

  [ lgromero ]
  * refs #734 Adds README for Api installation
  * refs #734 Control of errores and http codes in controler
  * refs #734 Renemas oggitservice

  [ Vadim Troshchinskiy ]
  * Ticket #738, ticket #739: repo and sync backup protoype

  [ lgromero ]
  * refs #734 Adds new endpoints sync and backup and status endpoint
  * refs #734 Adds nelmio api doc configuration
  * Adds .env file to root
  * refs #734 use environment variables in .env files and disable web depuration toolbar
  * refs #734 fix typo in .env and use oggit_url environment variable

  [ Vadim Troshchinskiy ]
  * Ticket #738, ticket #739: git sync and backup

  [ Nicolas Arenas ]
  * Add docker container files

  [ Vadim Troshchinskiy ]
  * Ticket #737: GC
  * Use Paramiko and Gitpython for backups

  [ Nicolas Arenas ]
  * Add mock api for testing dockerfile

  [ Vadim Troshchinskiy ]
  * Ticket #740, listen on all hosts

  [ lgromero ]
  * refs #734 Removes innecesaries parameters  and changes php platform to 8.2
  * refs #734 just changes name and description in swagger web page

  [ Vadim Troshchinskiy ]
  * Remove duplicated import
  * Documentation prototype
  * Update to 24.04, solves deployment issue
  * Add more documentation
  * Add API README
  * Add API examples
  * Update list of package requirements in oglive
  * Fix commandline parsing bug
  * Revert experimental Windows change
  * Fix ticket #770: Re-parse filesystems list after mounting
  * Use oglive server if ogrepository is not set
  * Ticket #770: Add sanity check
  * Ticket #771: Correctly create directories on metadata restoration
  * Ticket #780: Unmount before clone if needed
  * Fix ticket #800: sudo doesn't work

  [ Vadim Trochinsky ]
  * Fix ticket #802: .git directory in filesystem root

  [ Vadim Troshchinskiy ]
  * Fix ticket #805: Remove .git directory if it already exists when checking out
  * Ticket #770: Correctly update metadata when mounting and unmounting
  * Ticket #804: Move log
  * Fix ticket #902: .git directories can't be checked out
  * Lint fixes
  * Remove unused code
  * Lint fixes
  * Lint fixes
  * Lint fixes
  * Additional logging message
  * Lint fix
  * Fix ticket #907: mknod fails due to path not found
  * Initial implementation for commit, push, fetch.
  * Don't fail on empty lines in metadata, just skip them
  * Add documentation and functionality to progress hook (not used yet)
  * Pylint fixes
  * Ticket #908: Remove some unneeded warnings
  * Fix progress report
  * Ticket #906: Fix permissions on directories
  * Make pylint happy
  * Mount fix
  * Ticket #808: Initial implementation
  * Initial forgejo install
  * Deduplicate key extraction
  * Fix installer bugs and add documentation
  * Change user to oggit
  * Fix NTFS ID modification implementation
  * Implement system-specific EFI data support
  * Fix encoding when reading system uuid
  * Fix and refactor slightly EFI implementation
  * Add Windows BCD decoding tool
  * Check module loading and unloading, modprobe works on oglive now
  * Make EFI deployment more flexible
  * Add organization API call
  * Fix bash library path
  * Fix repo paths for forgejo
  * Update documentation
  * Sync to ensure everything is written
  * Refactoring and more pydoc
  * Add more documentation
  * Improve installer documentation
  * Improve gitlib instructions
  * Add missing files
  * Partial setsshkey implementation
  * Fix SSH key generation and extraction
  * Initial package contents
  * Add Debian packaging
  * Add pylkid
  * Add pyblkid debian files
  * Use packaged pyblkid
  * More detailed API logging
  * Improve logging
  * Add oglive key to forgejo
  * Add original source
  * Always re-download forgejo, even if installed.
  * Remove obsolete code that stopped being relevant with Forgejo
  * Move python modules to /opt/opengnsys-modules
  * Use absolute paths in initrd modification
  * Add timestamp to ssh key title, forgejo doesn't like duplicates
  * Skip past symlinks and problems in oglive modification
  * Get keys from squashfs instead of initrd to work with current oglive packaging
  * Fix trivial bug
  * Move modules to /usr/share/opengnsys
  * Move packages to /usr/share

  [ Angel Rodriguez ]
  * Add gitlib/README-en.md
  * Add api/README-en.md
  * Add installer/README-en.md

  [ Vadim Troshchinskiy ]
  * Skip NTFS code on non-Windows
  * Store and restore GPT partition UUIDs
  * Update READMEs
  * BCD constants
  * Use tqdm
  * Constants
  * Add extra mounts update
  * Better status reports
  * Make log filename machine-dependent Move kernel args parsing
  * Make unmounting more robust
  * Improve repository initialization
  * Make --pull work like the other commands
  * Add packages
  * Update documentation
  * Ignore python cache
  * Ignore more files
  * add python libarchive-c original package
  * Add pyblkid copyright file
  * Add make_orig script
  * Reorder and fix for ogrepository reorganization
  * Restructure git installer to work without ogboot on the same machine, update docs
  * Update english documentation
  * Improve installation process, make it possible to extract keys from oglive
  * Fix namespaces
  * Fix ogrepository paths
  * Change git repo path
  * Improvements for logging and error handling
  * Fix HTTP exception handling
  * Improve task management, cleanup when there are too many
  * More error logging
  * Mark git repo as a safe directory
  * Rework the ability to use a custom SSH key
  * Log every request
  * Branch deletion
  * Make branch deletion RESTful
  * Initial version of the API server
  * Add original repo_api
  * Convert to blueprint
  * Add port argument
  * Fix error handling
  * Add README
  * Load swagger from disk
  * Fix repository URL
  * Bump forgejo version
  * Add helpful script
  * Fix port argument
  * Refactoring for package support
  * Remove old code
  * Refactoring for packaging
  * opengnsys-forgejo package
  * Fix post-install for forgejo deployment
  * Fixes for running under gunicorn
  * Debian packaging
  * Add branches and tags creation endpoints
  * Add missing file
  * Rename service
  * Add templates
  * Disable tests
  * Fix permission problem
  * Fix ini path
  * Update changelog
  * Update changelog
  * Add package files
  * Add git image creation script
  * Slightly improve API for ogrepo usability
  * Update changelog
  * First commit
  * Add installer
  * Add requirements file

  [ lgromero ]
  * refs #734 Creates first skeleton of symfony+swagger project

  [ Vadim Troshchinskiy ]
  * Add Gitlib

  [ lgromero ]
  * refs #734 Changes OgBootBundle name and adds a first endpoint to test
  * refs #734 Adds template of repository and branch endpoints

  [ Vadim Troshchinskiy ]
  * Update docs to account for changes
  * Trivial API server
  * Ticket #753: Add repository listing
  * Ticket #735: List branches in repo
  * Add testing instructions
  * Agregar manejo de errrores
  * Ticket #741: Crear repo Ticket #736: Eliminar repo

  [ lgromero ]
  * refs #734 Adds README for Api installation
  * refs #734 Control of errores and http codes in controler
  * refs #734 Renemas oggitservice

  [ Vadim Troshchinskiy ]
  * Ticket #738, ticket #739: repo and sync backup protoype

  [ lgromero ]
  * refs #734 Adds new endpoints sync and backup and status endpoint
  * refs #734 Adds nelmio api doc configuration
  * Adds .env file to root
  * refs #734 use environment variables in .env files and disable web depuration toolbar
  * refs #734 fix typo in .env and use oggit_url environment variable

  [ Vadim Troshchinskiy ]
  * Ticket #738, ticket #739: git sync and backup

  [ Nicolas Arenas ]
  * Add docker container files

  [ Vadim Troshchinskiy ]
  * Ticket #737: GC
  * Use Paramiko and Gitpython for backups

  [ Nicolas Arenas ]
  * Add mock api for testing dockerfile

  [ Vadim Troshchinskiy ]
  * Ticket #740, listen on all hosts

  [ lgromero ]
  * refs #734 Removes innecesaries parameters  and changes php platform to 8.2
  * refs #734 just changes name and description in swagger web page

  [ Vadim Troshchinskiy ]
  * Remove duplicated import
  * Documentation prototype
  * Update to 24.04, solves deployment issue
  * Add more documentation
  * Add API README
  * Add API examples
  * Update list of package requirements in oglive
  * Fix commandline parsing bug
  * Revert experimental Windows change
  * Fix ticket #770: Re-parse filesystems list after mounting
  * Use oglive server if ogrepository is not set
  * Ticket #770: Add sanity check
  * Ticket #771: Correctly create directories on metadata restoration
  * Ticket #780: Unmount before clone if needed
  * Fix ticket #800: sudo doesn't work

  [ Vadim Trochinsky ]
  * Fix ticket #802: .git directory in filesystem root

  [ Vadim Troshchinskiy ]
  * Fix ticket #805: Remove .git directory if it already exists when checking out
  * Ticket #770: Correctly update metadata when mounting and unmounting
  * Ticket #804: Move log
  * Fix ticket #902: .git directories can't be checked out
  * Lint fixes
  * Remove unused code
  * Lint fixes
  * Lint fixes
  * Lint fixes
  * Additional logging message
  * Lint fix
  * Fix ticket #907: mknod fails due to path not found
  * Initial implementation for commit, push, fetch.
  * Don't fail on empty lines in metadata, just skip them
  * Add documentation and functionality to progress hook (not used yet)
  * Pylint fixes
  * Ticket #908: Remove some unneeded warnings
  * Fix progress report
  * Ticket #906: Fix permissions on directories
  * Make pylint happy
  * Mount fix
  * Ticket #808: Initial implementation
  * Initial forgejo install
  * Deduplicate key extraction
  * Fix installer bugs and add documentation
  * Change user to oggit
  * Fix NTFS ID modification implementation
  * Implement system-specific EFI data support
  * Fix encoding when reading system uuid
  * Fix and refactor slightly EFI implementation
  * Add Windows BCD decoding tool
  * Check module loading and unloading, modprobe works on oglive now
  * Make EFI deployment more flexible
  * Add organization API call
  * Fix bash library path
  * Fix repo paths for forgejo
  * Update documentation
  * Sync to ensure everything is written
  * Refactoring and more pydoc
  * Add more documentation
  * Improve installer documentation
  * Improve gitlib instructions
  * Add missing files
  * Partial setsshkey implementation
  * Fix SSH key generation and extraction
  * Initial package contents
  * Add Debian packaging
  * Add pylkid
  * Add pyblkid debian files
  * Use packaged pyblkid
  * More detailed API logging
  * Improve logging
  * Add oglive key to forgejo
  * Add original source
  * Always re-download forgejo, even if installed.
  * Remove obsolete code that stopped being relevant with Forgejo
  * Move python modules to /opt/opengnsys-modules
  * Use absolute paths in initrd modification
  * Add timestamp to ssh key title, forgejo doesn't like duplicates
  * Skip past symlinks and problems in oglive modification
  * Get keys from squashfs instead of initrd to work with current oglive packaging
  * Fix trivial bug
  * Move modules to /usr/share/opengnsys
  * Move packages to /usr/share

  [ Angel Rodriguez ]
  * Add gitlib/README-en.md
  * Add api/README-en.md
  * Add installer/README-en.md

  [ Vadim Troshchinskiy ]
  * Skip NTFS code on non-Windows
  * Store and restore GPT partition UUIDs
  * Update READMEs
  * BCD constants
  * Use tqdm
  * Constants
  * Add extra mounts update
  * Better status reports
  * Make log filename machine-dependent Move kernel args parsing
  * Make unmounting more robust
  * Improve repository initialization
  * Make --pull work like the other commands
  * Add packages
  * Update documentation
  * Ignore python cache
  * Ignore more files
  * add python libarchive-c original package
  * Add pyblkid copyright file
  * Add make_orig script
  * Reorder and fix for ogrepository reorganization
  * Restructure git installer to work without ogboot on the same machine, update docs
  * Update english documentation
  * Improve installation process, make it possible to extract keys from oglive
  * Fix namespaces
  * Fix ogrepository paths
  * Change git repo path
  * Improvements for logging and error handling
  * Fix HTTP exception handling
  * Improve task management, cleanup when there are too many
  * More error logging
  * Mark git repo as a safe directory
  * Rework the ability to use a custom SSH key
  * Log every request
  * Branch deletion
  * Make branch deletion RESTful
  * Initial version of the API server
  * Add original repo_api
  * Convert to blueprint
  * Add port argument
  * Fix error handling
  * Add README
  * Load swagger from disk
  * Fix repository URL
  * Bump forgejo version
  * Add helpful script
  * Fix port argument
  * Refactoring for package support
  * Remove old code
  * Refactoring for packaging
  * opengnsys-forgejo package
  * Fix post-install for forgejo deployment
  * Fixes for running under gunicorn
  * Debian packaging
  * Add branches and tags creation endpoints
  * Add missing file
  * Rename service
  * Add templates
  * Disable tests
  * Fix permission problem
  * Fix ini path
  * Update changelog
  * Update changelog
  * Add package files
  * Add git image creation script
  * Slightly improve API for ogrepo usability
  * Update changelog
  * Update changelog

 -- OpenGnsys <opengnsys@opengnsys.com>  Mon, 16 Jun 2025 21:23:34 +0000
